﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Sample
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        //ダミーデータを保持するコレクション
        public ObservableCollection<SalesInfo> SalesInfos { get; set; }
            = new ObservableCollection<SalesInfo>();

        public MainWindow()
        {
            InitializeComponent();

            //ダミーデータを生成する。
            this.SalesInfos.Add(
                new SalesInfo
                {
                    Year = "2011",
                    Sales = 124597,
                }
            );
            this.SalesInfos.Add(
                new SalesInfo
                {
                    Year = "2012",
                    Sales = 245416,
                }
            );
            this.SalesInfos.Add(
                new SalesInfo
                {
                    Year = "2013",
                    Sales = 345786,
                }
            );
            this.SalesInfos.Add(
                new SalesInfo
                {
                    Year = "2014",
                    Sales = 365816,
                }
            );
            this.SalesInfos.Add(
                new SalesInfo
                {
                    Year = "2015",
                    Sales = 451687,
                }
            );
            this.SalesInfos.Add(
                new SalesInfo
                {
                    Year = "2016",
                    Sales = 548465,
                }
            );
            this.SalesInfos.Add(
                new SalesInfo
                {
                    Year = "2017",
                    Sales = 646879,
                }
            );
            this.SalesInfos.Add(
                new SalesInfo
                {
                    Year = "2018",
                    Sales = 875466,
                }
            );

            //DataContext にバインドデータを設定
            this.DataContext = this.SalesInfos;

            //コードビハインドで XamDataGrid の DataSource プロパティにデータをバインドする場合
            //this.xamDataChart.DataSource = this.SalesInfos;
        }
    }
}
